Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class Parties

    java.lang.Object
      com.fxcm.fix.Parties

All Implemented Interfaces:
  Serializable

    public class Parties

extends Object
implements Serializable

Parties component block. Contains references to all parties which have added their information to the business transaction to which this Parties block belongs.

See Also:
  Serialized Form

Constructor Summary
`Parties()` Empty constructor.

Method Summary
`void` | `addParty(Party aParty)` Adds another `Party` to the list.
`void` | `clear()`
`boolean` | `fill(IFieldGroupList aList)`
`boolean` | `fill(Parties aOrig)` Fills out object state.
`long` | `getFXCMAcctID()` Obtains the FXCM Account ID
`String` | `getFXCMAcctName()` Obtains the FXCM Account Name
`int` | `getFXCMAcctType()` Obtains the FXCM account type
`String` | `getFXCMPositionMaintenance()` Obtains the FXCM Position Maintenance Y|N|0 == Hedging | No Hedging | Netting
`String` | `getFXCMTraderLoginId()` Obtains the FXCM Trader Login ID
`Iterator` | `getParties()` Retrieve all `Party` objects stored here.
`boolean` | `isValid()` Determines whether entity state is valid.
`void` | `setFXCMAcctID(long aID)` Sets the FXCM Account ID;
`void` | `setFXCMAcctName(String aName)` Sets the FXCM Account Name
`void` | `setFXCMAcctType(int aType)` Sets the FXCM Account Type
`void` | `setFXCMPositionMaintenance(String aValue)` Position Maintenance Y|N|0 == Hedging | No Hedging | Netting
`void` | `setFXCMTraderLoginId(String aLoginID)` Sets the FXCM Trader Login ID
`IFieldGroupList` | `toList(IMessageFactory aFactory)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parties

    public Parties()

  Empty constructor.

Method Detail

### addParty

    public void addParty(Party aParty)

  Adds another `Party` to the list.

  Parameters:
    `aParty` - `Party` to be added to the list.

### getParties

    public Iterator getParties()

  Retrieve all `Party` objects stored here.

  Returns:
    all `Party` objects stored in this `Parties` object.
  Throws:
    `NotDefinedException` - when field not specified.

### fill

    public boolean fill(Parties aOrig)

  Fills out object state.

  Parameters:
    `aOrig` - Object to copy state from.
  Returns:
    `true` if state is updated; `false` otherwise.

### isValid

    public boolean isValid()

  Determines whether entity state is valid.
  TBD: check all fields

  Returns:
    `true` in case entity is valid; `false` otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### fill

    public boolean fill(IFieldGroupList aList)

### toList

    public IFieldGroupList toList(IMessageFactory aFactory)

### clear

    public void clear()

### getFXCMTraderLoginId

    public String getFXCMTraderLoginId()

  Obtains the FXCM Trader Login ID

### setFXCMTraderLoginId

    public void setFXCMTraderLoginId(String aLoginID)

  Sets the FXCM Trader Login ID

  Parameters:
    `aLoginID` -

### getFXCMAcctName

    public String getFXCMAcctName()

  Obtains the FXCM Account Name

### setFXCMAcctName

    public void setFXCMAcctName(String aName)

  Sets the FXCM Account Name

  Parameters:
    `aName` -

### getFXCMAcctID

    public long getFXCMAcctID()

  Obtains the FXCM Account ID

### setFXCMAcctID

    public void setFXCMAcctID(long aID)

  Sets the FXCM Account ID;

  Parameters:
    `aID` -

### getFXCMPositionMaintenance

    public String getFXCMPositionMaintenance()

  Obtains the FXCM Position Maintenance Y|N|0 == Hedging | No Hedging | Netting

### setFXCMPositionMaintenance

    public void setFXCMPositionMaintenance(String aValue)

  Position Maintenance Y|N|0 == Hedging | No Hedging | Netting

  Parameters:
    `aValue` -

### getFXCMAcctType

    public int getFXCMAcctType()

  Obtains the FXCM account type

### setFXCMAcctType

    public void setFXCMAcctType(int aType)

  Sets the FXCM Account Type

  Parameters:
    `aType` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.